#
# spec file for package rustc-stage0
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           rustc-stage0
Version:        20160318.235d774
Release:        1.1
Summary:        Systems programming language that runs blazingly fast (bootstrap binary)
License:        MIT or Apache-2.0
Group:          Development/Languages/Other
Url:            http://www.rust-lang.org

#use snap.sh to update following lines from "magic" constanst from src/snapshots.txt
Source1:        http://static.rust-lang.org/stage0-snapshots/rust-stage0-2016-03-18-235d774-linux-x86_64-1273b6b6aed421c9e40c59f366d0df6092ec0397.tar.bz2
Source2:        http://static.rust-lang.org/stage0-snapshots/rust-stage0-2016-03-18-235d774-linux-i386-0e0e4448b80d0a12b75485795244bb3857a0a7ef.tar.bz2
Source3:        snap.sh

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Rust is a systems programming language focused on three goals:
safety, speed, and concurrency. It maintains these goals without
having a garbage collector, making it a useful language for a
number of use cases other languages aren’t good at: embedding
in other languages, programs with specific space and time
requirements, and writing low-level code, like device drivers
and operating systems. It improves on current languages targeting
this space by having a number of compile-time safety checks
that produce no runtime overhead, while eliminating all
data races. Rust also aims to achieve ‘zero-cost abstractions’
even though some of these abstractions feel like those of a
high-level language. Even then, Rust still allows precise
control like a low-level language would.
This package provides the stage0 binary required to build the
initial compiler.

%prep
%ifarch x86_64
%setup -T -b 1 -n rust-stage0
%else
%setup -T -b 2 -n rust-stage0
%endif

%build

%install
mkdir -p %{buildroot}%{_libexecdir}/rust-stage0
cp -r . %{buildroot}%{_libexecdir}/rust-stage0

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libexecdir}/rust-stage0

%changelog
* Sun Jul  3 2016 kgronlund@suse.com
- Split stage0 binaries into separate package
  * Stage0 for rustc 1.9: 20160318.235d774
